// src/styles/CatchTheFallingObject.scss
.catch-the-falling-object {
  background-color: #e0f7fa; // Light background for the game
  padding: 20px;
  border-radius: 12px;
  box-shadow: 0 4px 10px rgba(0, 0, 0, 0.2);
  text-align: center;

  h2 {
    color: #333; // Darker text for title
  }

  .game-area {
    position: relative;
    height: 400px; // Fixed height for the game area
    border: 2px solid #00796b; // Teal border
    overflow: hidden; // Hide objects that go out of bounds
    margin: 20px 0;

    .falling-object {
      position: absolute;
      width: 50px;
      height: 50px;
      border-radius: 50%; // Circular shape
      cursor: pointer;
      transition: background-color 0.2s ease;

      &.normal {
        background-color: #ff5722; // Color for normal falling objects
      }

      &.bomb {
        background-color: #ffc107; // Color for bomb objects
      }

      &:hover {
        background-color: #f44336; // Change color on hover for normal objects
      }
    }
  }

  .game-over {
    color: #d32f2f; // Red color for game over text
    font-weight: bold;
  }

  button {
    margin-top: 10px;
    padding: 10px 15px;
    background-color: #4caf50; // Green background for restart button
    color: white;
    border: none;
    border-radius: 4px;
    cursor: pointer;

    &:hover {
      background-color: #45a049; // Darker green on hover
    }
  }
}
